<style class="custom-css-style">
  #custom-css #typeahead-container input {
    border-color: var(--mainForegroundColor) !important;
  }
  #typeahead-container input {
    border: 1px solid var(--mainBackgroundColor)!important;
    box-shadow: #0000001a 0 1px 20px;
    flex-grow: 1;
    transition: box-shadow .3s ease,width .2s ease;
  }
  #search-video {
    padding-inline-end: 40px;
  }
  #search-video {
    padding-inline-start: 10px;
  }
  #search-video {
    padding: 0 15px;
    display: inline-block;
    height: 30px;
    width: 375px;
    background-color: var(--inputBackgroundColor);
    border-radius: 3px;
    font-size: 14px;
  }
  #custom-css input, #custom-css textarea {
    background: var(--inputColor) !important;
    color: var(--mainForegroundColor) !important;
  }
  input, textarea {
    outline: none;
  }
  button, input {
    overflow: visible;
  }
  button, input, optgroup, select, textarea {
    margin: 0;
    font-family: inherit;
    line-height: inherit;
  }
  *, :after, :before {
    box-sizing: border-box;
  }
  input {
    -webkit-writing-mode: horizontal-tb !important;
    text-rendering: auto;
    letter-spacing: normal;
    word-spacing: normal;
    text-transform: none;
    text-indent: 0px;
    text-shadow: none;
    text-align: start;
    appearance: textfield;
    -webkit-rtl-ordering: logical;
    cursor: text;
    font: 400 13.3333px Arial;
  }
  .header-right {
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    white-space: nowrap;
    flex: 1;
  }

  .wrapper {
    margin-inline-end: 5px;
    display: inline-block;
    width: 35px;
    height: 35px;
    min-width: 35px;
    min-height: 35px;
    position: relative;
    margin-bottom: 5px;
  }

  .wrapper:not(.generic-channel) .channel {
    display: inline-block;
    width: 35px;
    height: 35px;
    min-width: 35px;
    min-height: 35px;
  }

  .wrapper:not(.generic-channel) .account {
    height: 60%;
    width: 60%;
    position: absolute;
    bottom: -5px;
    right: -5px;
    background-color: #0000;
  }

  .avatar.account {
    object-fit: cover;
    border-radius: 50%;
  }
  .avatar-and-textarea {
    display: flex;
    margin-bottom: 10px;
  }
  .avatar-and-textarea my-actor-avatar {
    margin-inline-end: 10px;
  }
  .avatar-34 {
    --avatarSize: 34px !important;
  }
  .avatar-25 {
    --avatarSize: 25px !important;
  }
  .avatar {
    --avatarSize: 100%;
    --initialFontSize: 22px;
    width: var(--avatarSize);
    height: var(--avatarSize);
    min-width: var(--avatarSize);
    min-height: var(--avatarSize);
  }
  .video-info-channel {
    font-weight: 600;
    font-size: 15px;
  }
  img, svg {
    vertical-align: middle;
  }
  img {
    border-style: none;
  }
  *, :after, :before {
    box-sizing: border-box;
  }
  .dropdown-toggle {
    white-space: nowrap;
  }


  element.style {
    overflow: hidden;
    height: 32px;
  }
  #custom-css input, #custom-css textarea {
    background: var(--inputColor) !important;
    color: var(--mainForegroundColor) !important;
    border: 1px solid var(--mainBackgroundColor);
  }

  .avatar-and-textarea textarea {
    padding-inline-end: 45px!important;
    display: inline-block;
    width: 100%;
    border-radius: 3px;
    background-color: var(--textareaBackgroundColor);
    padding: 5px 15px;
    font-size: 15px;
    min-height: calc(60px - 15px * 2);
  }
  input, textarea {
    outline: none;
  }
  textarea {
    resize: vertical;
  }
  button, input, optgroup, select, textarea {
    margin: 0;
    font-family: inherit;
    line-height: inherit;
  }

  .video-info-channel-left .video-info-channel-left-links {
    display: flex;
    flex-direction: column;
    position: relative;
    line-height: 1.37;
  }
  .ml-1 {
    margin-inline-start: .25rem;
  }
  .ml-1, .mx-1 {
    margin-left: .25rem!important;
  }
  .video-info-channel-left {
    flex-grow: 1;
  }
  my-action-buttons {
    margin-inline-end: 0;
  }
  my-action-buttons {
    margin-inline-start: auto;
  }
  my-action-buttons {
    display: block;
    margin-top: 0;
    margin-bottom: 10px;
    align-items: start;
    width: -webkit-max-content;
    width: max-content;
  }
  @media screen and (max-width: 1600px)
  .main-col {
    --horizontalMarginContent: 15px;
    --videosHorizontalMarginContent: 30px;
  }
  .video-info-description {
    margin-inline-end: 0;
  }

  .video-info-description {
    margin-inline-start: 44px;
  }
  .video-info-description .video-info-description-html {
    word-break: break-word;
    overflow-wrap: break-word;
  }
  .video-info-description {
    margin-top: 20px;
    margin-bottom: 20px;
    font-size: 15px;
  }
  my-video-attributes {
    margin-inline-start: 44px;
    display: block;
    margin-bottom: 15px;
  }
  .attribute {
    font-size: 13px;
    display: block;
    margin-bottom: 12px;
  }
  .attribute-label {
    padding-inline-end: 5px;
  }
  .attribute-label {
    min-width: 142px;
    display: inline-block;
    color: var(--greyForegroundColor);
    font-weight: 700;
  }
  .attribute {
    font-size: 13px;
    display: block;
    margin-bottom: 12px;
  }

  my-recommended-videos {
    padding-inline-start: 15px;
    display: block;
    min-width: 250px;
  }

  .title-page-autoplay {
    margin-inline-start: auto;
    display: flex;
    width: max-content;
    height: max-content;
    align-items: center;
  }

  .other-videos:not(.display-as-row) my-video-miniature {
    min-width: 201px;
    max-width: 201px;
  }
  my-video-miniature {
    display: block;
  }
  .video-miniature:not(.display-as-row) {
    display: flex;
    flex-direction: column;
    padding-bottom: 15px;
    width: 100%;
  }
  .video-miniature:not(.display-as-row) my-video-thumbnail {
    position: relative;
    height: 0;
    width: 100%;
    padding-top: 56.25%;
  }
  .video-miniature:not(.display-as-row) my-video-thumbnail .video-thumbnail {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
  }
  .video-thumbnail {
    display: flex;
    flex-direction: column;
    position: relative;
    border-radius: 3px;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: #ececec;
    transition: filter .2s ease;
  }
  .video-thumbnail-actions-overlay {
    position: absolute;
    display: flex;
    flex-direction: column;
    right: 5px;
    top: 5px;
    opacity: 0;
  }
  .video-thumbnail-label-overlay.danger {
    background-color: red;
  }
  .video-thumbnail-label-overlay {
    position: absolute;
    padding: 0 5px;
    left: 5px;
    top: 5px;
    font-weight: 700;
  }
  .video-thumbnail-watch-later-overlay, .video-thumbnail-label-overlay, .video-thumbnail-duration-overlay, .video-thumbnail-live-overlay {
    display: inline-block;
    background-color: #000000b3;
    color: #fff;
    border-radius: 3px;
    font-size: 12px;
    font-weight: 600;
    line-height: 1.1;
    z-index: 10;
  }
  .video-thumbnail-duration-overlay, .video-thumbnail-live-overlay {
    position: absolute;
    padding: 0 3px;
    right: 5px;
    bottom: 5px;
  }
  .video-thumbnail .play-overlay, .video-thumbnail .play-overlay .icon {
    transition: all .2s ease;
  }
  .video-thumbnail .play-overlay {
    position: absolute;
    right: 0;
    bottom: 0;
    width: inherit;
    height: inherit;
    opacity: 0;
    background-color: #0000004d;
  }
  .video-miniature:not(.display-as-row) .video-bottom {
    display: flex;
    width: 100%;
    min-width: 1px;
  }
  .video-miniature-information {
    width: calc(100% - 40px);
  }

  .video-actions {
    height: 40px;
    display: flex;
    align-items: center;
  }
  .video-actions .action-button my-global-icon {
    margin-inline-end: 0;
  }
  .video-actions .action-button my-global-icon {
    position: relative;
    width: 21px;
    top: -1px;
  }
  my-global-icon {
    cursor: pointer;
    width: 100%;
  }
  #custom-css .action-button .count {
    color: var(--whiteColor);
  }
  .action-button-like .count, .action-button-dislike .count {
    margin: 0 5px;
  }

  .full-width {
    width: 100%;
    margin: 0 auto;
    max-width: none;
  }
  .video-miniature:not(.display-as-row) .video-actions {
    margin-top: 3px;
  }
  my-actor-avatar {
    margin-inline-end: 10px;
    margin-inline-start: 0;
    margin-top: 10px;
    margin-bottom: 0;
  }
  .video-miniature:not(.display-as-row) .video-miniature-name {
    margin-top: 10px;
    margin-bottom: 5px;
  }
  .video-miniature-name {
    display: block;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    font-size: 1.1em;
    line-height: 1.1em;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 2.2em;
    word-break: break-word;
    word-wrap: break-word;
    overflow-wrap: break-word;
    transition: color .2s;
    font-weight: 600;
    color: var(--mainForegroundColor);
  }
  .video-miniature:not(.display-as-row) .video-miniature-created-at-views {
    display: block;
  }
  .video-miniature-created-at-views {
    font-size: 13px;
  }
  .video-miniature-account, .video-miniature-channel {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    font-size: 13px;
    color: var(--greyForegroundColor);
  }
  .video-miniature-created-at-views {
    font-size: 13px;
  }
  .video-info-privacy, .video-info-blocked .blocked-label, .video-info-nsfw {
    font-weight: 600;
  }


  .icon-search {
    margin-inline-start: -35px;
  }
  .icon-search {
    display: inline-block;
    background-repeat: no-repeat;
    background-size: contain;
    width: 25px;
    vertical-align: middle;
    cursor: pointer;
    height: 18px;
    position: absolute;
    margin-top: 3.5px;
    right: 10px;
  }
  my-search-typeahead {
    margin-inline-end: 15px;
  }
  .w-100 {
    width: 100%!important;
  }

  .icon-logo {
    background-image: url(/client/assets/images/logo.svg?f43d062f4606d20e41cab4363a9d9da456139512);
  }

  .peertube-container {
    padding-bottom: 20px;
  }

  *, :after, :before {
    box-sizing: border-box;
  }

  .header {
    background-color: #421a46 !important;
    height: 50px;
    position: fixed;
    top: 0;
    width: 100%;
    background-color: #421a46 !important;
    z-index: 17500;
    box-shadow: 0 1px 3px #00000029;
    display: flex;
  }

  .header-right {
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    white-space: nowrap;
    flex: 1;
  }

  #custom-css .sub-header-container {
    background-position: center top;
    background-size: cover;
    background-repeat: repeat;
    background-attachment: fixed;
  }

  .sub-header-container {
    margin-top: 50px;
    background-color: var(--mainBackgroundColor);
    width: 100%;
  }

  .top-left-block {
    z-index: 1;
    height: 50px;
    display: flex;
    align-items: center;
    min-width: 0;
  }

  .peertube-title {
    font-size: 20px;
    font-weight: 700;
    color: inherit!important;
    display: flex;
    align-items: center;
    overflow: hidden;
    padding: 0 0 0 10px;
  }

  .c-hand {
    cursor: pointer;
  }

  a {
    text-decoration: none;
    background-color: initial;
  }

  menu:focus, menu:hover {
    overflow-y: auto;
  }

  @media not all and (hover: hover) and (pointer: fine)
  menu {
    overflow-y: auto;
  }

  menu {
    background-color: #421a46 !important;
    overflow-y: auto;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: var(--menuForegroundColor);
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
  }

  .menu-wrapper {
    position: fixed;
    height: calc(100vh - 50px);
    padding: 0;
    width: 240px;
    z-index: 12600;
  }

  .menu-block, .footer-block {
    margin-bottom: 15px;
  }

  .footer {
    width: 240px;
    padding-bottom: 15px;
  }

  menu.is-logged-in .block-title {
    margin-bottom: 15px;
  }
  .menu-block .block-title, .footer-block .block-title {
    margin-inline-end: 30px;
  }
  .menu-block .block-title, .footer-block .block-title {
    margin-inline-start: 26px;
  }
  .menu-block .block-title, .footer-block .block-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 13px;
  }

  .footer-links, .footer-links > div {
    display: flex;
    flex-wrap: wrap;
  }

  #custom-css .footer-links a, #custom-css .footer-copyleft a {
    color: var(--whiteColor) !important;
  }

  .footer-copyleft small a:hover, .footer-copyleft small a:focus, .footer-copyleft small a:active {
    text-decoration: none!important;
    outline: none!important;
  }

  .footer-copyleft small a {
    color: var(--menuForegroundColor);
    opacity: .6;
  }
  .mr-1 {
    margin-inline-end: .25rem;
  }
  .mr-1, .mx-1 {
    margin-right: .25rem!important;
  }

  .block-title, .title-page {
    background: radial-gradient(ellipse at top, #db34d3, transparent), radial-gradient(ellipse at bottom, #232629, transparent);
    padding: 5px;
    border-radius: 4px;
    border: 2px solid #fd95ff;
    border-right-color: #fed9ff;
    border-bottom-color: #fed9ff;
    text-align: center;
  }

  .menu-block a, .footer-block a {
    min-height: 40px;
  }
  .menu-link:hover, .menu-link:focus, .menu-link:active {
    text-decoration: none!important;
    outline: none!important;
  }
  .menu-link {
    padding-inline-end: 20px;
    padding-inline-start: 26px;
    display: flex;
    align-items: center;
    color: var(--menuForegroundColor);
    font-size: 16px;
    cursor: pointer;
    white-space: normal;
    word-break: break-word;
    transition: background-color .1s ease-in-out;
    line-height: 1.2;
  }
  .menu-link my-global-icon .feather, .menu-link my-global-icon .material, .menu-link my-global-icon .misc {
    color: gray;
  }

  .publish-button {
    margin-inline-end: 25px;
  }
  .publish-button, .publish-button:active, .publish-button:focus {
    color: #fff;
    background-color: var(--mainColor);
  }
  .publish-button {
    padding-inline-end: 17px;
  }
  .publish-button {
    padding-inline-start: 13px;
  }
  .publish-button {
    padding-top: 0;
    padding-bottom: 0;
    border: 0;
    font-weight: 600;
    font-size: 15px;
    height: 30px;
    border-radius: 3px!important;
    text-align: center;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    line-height: normal!important;
  }

  .footer-bottom {
    display: flex;
    flex-direction: column;
    padding: 0 26px;
  }

  .footer-links, .footer-links > div {
    display: flex;
    flex-wrap: wrap;
  }
  #custom-css .footer-links a, #custom-css .footer-copyleft a {
    color: var(--whiteColor) !important;
  }
  .footer-links a, .footer-links span[role=button] {
    margin-inline-end: 8px;
  }
  .footer-links a, .footer-links span[role=button] {
    display: inline-block;
    text-decoration: none;
    opacity: .8;
    white-space: nowrap;
    font-size: 90%;
    font-weight: 500;
    line-height: 1.4rem;
  }

  .top-menu {
    flex-grow: 1;
    width: 240px;
  }

  .logged-in-block {
    margin-bottom: 20px;
    background-color: #ffffff26;
  }

  .logged-in-block > div:first-child {
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: left;
  }

  .logged-in-menu {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border-top: 1px solid var(--greyForegroundColor);
    line-height: 1.2;
  }

  .dropdown {
    z-index: 12601!important;
  }
  .logged-in-more {
    margin-inline-start: 13px;
    flex: 1;
    border-radius: 25px;
    transition: all .1s ease-in-out;
    cursor: pointer;
    line-height: 1;
  }
  .logged-in-more:hover {
    background-color: #ffffff26;
  }
  .notification-inbox-popover:hover, .notification-inbox-popover:active, .notification-inbox-link a:hover, .notification-inbox-link a:active {
    background-color: #ffffff26;
  }
  .menu-link:hover, .menu-link.focus-visible {
    background-color: #ffffff1a;
  }
  .menu-link:hover, .menu-link:focus, .menu-link:active {
    text-decoration: none!important;
    outline: none!important;
  }

  .logged-in-more .dropdown-toggle:first-child {
    display: flex;
    align-items: center;
    padding: 5px 7px;
    border-radius: 25px;
  }

  .dropdown, .dropup {
    z-index: 17000!important;
  }
  .dropdown, .dropleft, .dropright, .dropup {
    position: relative;
  }

  .notification-inbox-popover, .notification-inbox-link {
    cursor: pointer;
    position: relative;
  }
  .notification-inbox-popover, .notification-inbox-link a {
    transition: all .1s ease-in-out;
    border-radius: 25px;
    cursor: pointer;
  }
  .notification-inbox-popover {
    padding: 10px;
  }

  my-notification {
    margin-inline-end: 15px;
  }
  my-notification {
    margin-inline-start: auto;
  }

  .logged-in-menu a {
    font-size: 14px;
    width: 100%;
    min-height: 35px;
  }

  .logged-in-menu a my-global-icon {
    margin-inline-start: 4.5px;
  }
  .logged-in-menu a my-global-icon {
    width: 13px;
    height: 13px;
  }
  .menu-link my-global-icon {
    margin-inline-end: 18px;
  }
  .menu-link my-global-icon {
    display: flex;
    width: 22px;
    height: 22px;
  }

  my-actor-avatar {
    margin-inline-end: 10px;
  }

  .logged-in-info {
    max-width: 105px;
    flex-grow: 1;
  }

  .logged-in-display-name {
    font-size: 16px;
    font-weight: 600;
    color: var(--menuForegroundColor);
  }

  .logged-in-username {
    font-size: 13px;
    color: #c6c6c6;
    margin-top: 3px;
  }

  .logged-in-display-name, .logged-in-username {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .main-col .sub-menu { background-color: #502c50 !important; }
  .title-page.active { border-bottom-color: #ea81e8 !important; }
  .inner-form-title, .section-label { color: #ea81e8 !important; }

  .video-bottom {
    display: flex;
    margin-top: 1.5rem;
  }

  [tabindex="-1"]:focus:not(:focus-visible) {
    outline: 0!important;
  }
  .avatar-32 {
    --avatarSize: 32px;
  }
  .flex-column {
    flex-direction: column!important;
  }
  .main-row {
    min-height: calc(100vh - 50px - 30px - 30px);
  }
  @media screen and (max-width: 1600px)
  .main-col {
    --horizontalMarginContent: 15px;
    --videosHorizontalMarginContent: 30px;
  }
  .main-col {
    margin-inline-start: 240px;
  }
  .main-col {
    width: calc(100% - 240px);
    outline: none;
  }
  .main-col .margin-content {
    margin: 0 var(--horizontalMarginContent);
    flex-grow: 1;
  }

  .avatar.channel {
    border-radius: 5px;
  }

  .channel-info, .account-info, .channel, .miniature-show-channel, description-html {
    background-color: #5e3c62 !important;
  }
  svg {
    width: inherit;
    height: inherit;
  }
  svg {
    overflow: hidden;
  }
  img, svg {
    vertical-align: middle;
  }
  img {
    border-style: none;
  }

  .title-page-container .title-page.active, .title-page-container .title-page.title-page-single {
    margin-inline-end: .5rem!important;
  }
  .title-page-container .title-page.active, .title-page-container .title-page.title-page-single {
    margin-bottom: unset;
  }
  .title-page {
    margin-top: 0;
  }
  .title-page.active, .title-page.title-page-single, .title-page:active, .title-page:focus, .title-page:hover {
    opacity: 1;
  }
  .title-page.title-page-single {
    font-size: 125%;
  }
  .block-title, .title-page {
    background: radial-gradient(ellipse at top, #db34d3, transparent), radial-gradient(ellipse at bottom, #232629, transparent);
    margin-inline-start: 0px;
    padding: 5px;
    border-radius: 4px;
    border: 2px solid #fd95ff;
    border-right-color: #fed9ff;
    border-bottom-color: #fed9ff;
    text-align: center;
  }
  .title-page {
    color: var(--mainForegroundColor);
    display: inline-block;
    font-weight: 600;
  }
  .h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    line-height: 1.2;
  }
  h2 {
    margin-block-start: 0.83em;
    margin-block-end: 0.83em;
  }
  @media screen and (max-width: 1600px)
  .main-col {
    --horizontalMarginContent: 15px;
    --videosHorizontalMarginContent: 30px;
  }

  #custom-css .dropdown-menu, #custom-css .dropdown-menu .dropdown-item { background-color: #421a46 !important; }

  #custom-css .icon.icon-logo {
    background: url(/img/favicon.jpeg) 0% 0% / cover;
  }
  .peertube-title .icon.icon-logo {
    margin-inline-end: .5rem;
    width: 23px;
    height: 24px;
  }
  .top-left-block .icon {
    vertical-align: middle;
    cursor: pointer;
  }
  .owner-description, .icon.icon-logo {
    display: none !important;
  }
  .peertube-title .instance-name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .instance-name {
    background-image: url(/img/favicon.jpeg) !important;
    background-position: top !important;
    border-radius: 10px !important;
    padding: 2px !important;
    color: #fcfcfc !important;
    text-indent: 100%;
    width: 34px !important;
    height: 34px !important;
  }

  .channel-info, .account-info, .channel, .miniature-show-channel, description-html { background-color: #5e3c62 !important; }
  .actor-handle { color: #dd00ee !important; }
  .actor-counters { color: #bb00bb !important; }
  .section-label { margin-bottom: 5px !important; }
  .owner-description, .icon.icon-logo { display: none !important; }
  .view-account short { margin-top: 0px !important; }

  .instance-name {
    background-color: #5e3c62 !important !important;
    background-image: url('/img/favicon.jpeg') !important;
    background-position: top !important;
    border-radius: 10px !important;
    padding: 2px !important;
    color: #fcfcfc !important;
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
    width: 34px !important;
    height: 34px !important;
  }

  .owner-block {
    background-color: rgba(48, 26, 48, 0.6) !important;
    padding: 10px !important;
  }

  #video-wrapper {
    background-color: transparent !important;
    display: flex;
    justify-content: center;
    padding-top: 20px !important;
  }

  .video-info {
    flex-grow: 1;
    min-width: 1px;
    max-width: 100%;
  }

  .video-info-first-row {
    display: flex;
  }

  .video-info-first-row > div:first-child {
    flex-grow: 1;
  }

  .video-info-first-row-bottom {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    width: 100%;
  }

  .video-info-channel {
    font-weight: 600;
    font-size: 15px;
  }
  .video-info-channel-left .video-info-channel-left-links a:nth-of-type(2) {
    font-weight: 400;
    font-size: 90%;
  }
  .video-info-channel a {
    word-break: break-word;
    word-wrap: break-word;
    overflow-wrap: break-word;
    color: var(--mainForegroundColor);
  }
  .video-info-channel a:hover, .video-info-channel a:focus, .video-info-channel a:active {
    text-decoration: none!important;
    outline: none!important;
  }
  .pt-3, .py-3 {
    padding-top: 1rem!important;
  }
  my-subscribe-button {
    margin-inline-start: 5px;
  }
  .btn-group-subscribe:not(.big) {
    white-space: nowrap;
  }
  .btn-group-subscribe {
    padding-inline-end: 17px;
  }
  .btn-group-subscribe {
    padding-inline-start: 13px;
  }
  .btn-group-subscribe {
    border: 0;
    font-weight: 600;
    font-size: 15px;
    height: 30px;
    line-height: 30px;
    border-radius: 3px!important;
    text-align: center;
    cursor: pointer;
    float: right;
    padding: 0;
  }
  .action-dropdown, .btn-group, .column-toggle, .dropdown-root, .input-group-prepend {
    z-index: inherit!important;
  }
  .btn-group, .btn-group-vertical {
    position: relative;
    display: inline-flex;
    vertical-align: middle;
  }
  .btn-group-subscribe.subscribe-button .btn, .btn-group-subscribe.subscribe-button .btn:active, .btn-group-subscribe.subscribe-button .btn:focus {
    color: #fff;
    background-color: var(--mainColor);
  }
  .btn-group-subscribe.subscribe-button .btn {
    font-weight: 600;
  }
  .btn-group-subscribe > .btn {
    padding-inline-end: 4px;
  }
  .btn-group-subscribe > .btn, .btn-group-subscribe > .dropdown > .dropdown-toggle {
    font-size: 15px;
  }
  .btn-group>.btn-group:not(:last-child)>.btn, .btn-group>.btn:not(:last-child):not(.dropdown-toggle) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }
  .btn:not(:disabled):not(.disabled) {
    cursor: pointer;
  }
  .btn-group-vertical>.btn, .btn-group>.btn {
    position: relative;
    flex: 1 1 auto;
  }
  [type=button]:not(:disabled), [type=reset]:not(:disabled), [type=submit]:not(:disabled), button:not(:disabled) {
    cursor: pointer;
  }
  .btn-group-sm>.btn, .btn-sm {
    padding: .25rem .5rem;
    line-height: 1.5;
    border-radius: .2rem;
  }

  .btn {
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    border: 1px solid #0000;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  }

  .video-actions .action-button:not(:first-child), .video-actions .action-dropdown, .video-actions my-video-actions-dropdown {
    margin-inline-start: 5px;
  }
  .video-actions .action-button.action-button-support {
    color: var(--supportButtonColor);
  }
  .video-actions .action-button.action-button-support my-global-icon path:first-child {
    fill: var(--supportButtonHeartColor)!important;
  }

  .video-info-channel {
    font-weight: 600;
    font-size: 15px;
  }
  .pt-3, .py-3 {
    padding-top: 1rem!important;
  }
  .w-100 {
    width: 100%!important;
  }

  .justify-content-end {
    justify-content: flex-end!important;
  }
  .d-flex {
    display: flex!important;
  }
  .position-relative {
    position: relative!important;
  }
  .d-inline-flex {
    display: inline-flex!important;
  }
  .border-top {
    border-top: 1px solid #dee2e6!important;
  }
  form {
    margin-bottom: 30px;
  }
  #custom-css input, #custom-css textarea {
    background: var(--inputColor) !important;
    color: var(--mainForegroundColor) !important;
    border: 1px solid var(--mainBackgroundColor);
  }
  .avatar-and-textarea textarea {
    padding-inline-end: 45px!important;
  }
  .avatar-and-textarea .form-group {
    flex-grow: 1;
    margin: 0;
    position: relative;
  }

  .video-info-name {
    margin-inline-end: 30px;
  }
  .video-info-name {
    word-break: break-word;
    overflow-wrap: break-word;
    min-height: 40px;
    font-size: 27px;
    font-weight: 600;
    flex-grow: 1;
  }
  .video-actions .action-button {
    padding-inline-end: 17px;
  }
  .video-actions .action-button {
    padding-inline-start: 13px;
  }
  .small, small {
    font-size: 80%;
    font-weight: 400;
  }
  .title-page-container {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    margin-bottom: 25px;
    flex-wrap: wrap-reverse;
  }

  .video-actions .action-button {
    border: 0;
    height: 30px;
    border-radius: 3px!important;
    text-align: center;
    cursor: pointer;
    align-items: center;
    line-height: normal!important;
    font-size: 100%;
    font-weight: 600;
    display: inline-block;
    padding: 0 10px;
    white-space: nowrap;
    background-color: transparent!important;
    color: var(--actionButtonColor);
    text-transform: uppercase;
  }
  .action-button-like[_ngcontent-nkk-c218], .action-button-dislike[_ngcontent-nkk-c218] {
    filter: brightness(120%);
  }

  [type=button], [type=reset], [type=submit], button {
    -webkit-appearance: button;
  }
  button {
    background: unset;
  }

  @media (min-width: 768px)
  .d-md-none {
    display: none!important;
  }

  .title-block my-feed {
    margin-inline-start: 5px;
  }
  .title-block my-feed {
    display: inline-block;
    opacity: 0;
    transition: ease-in .2s opacity;
    width: 12px;
    position: relative;
    top: -3px;
  }
  .feed {
    width: 100%;
  }

  .flex-direction-column {
    flex-direction: column;
  }
  .justify-content-between {
    justify-content: space-between!important;
  }

  body {
    margin: 0;
    line-height: 1.5;
    --mainColor: #ea81e8;
    --mainColorLighter: #d68ad5;
    --mainColorLightest: #fdd1fc;
    --mainHoverColor: #fc54f9;
    --mainBackgroundColor: #301a30;
    --mainForegroundColor: #fcfcfc;
    --secondaryColor: #421a46;

    --greyForegroundColor: #585858;
    --greyBackgroundColor: #e5e5e5;

    --submenuBackgroundColor: #5e3c62;
    --channelBackgroundColor: #5e3c62;

    --textareaForegroundColor: #000;
    --textareaBackgroundColor: #fff;
    --markdownTextareaBackgroundColor: #efefef;

    --actionButtonColor: #ea81e8;
    --supportButtonBackgroundColor: #971195;
    --supportButtonColor: var(--actionButtonColor);
    --supportButtonHeartColor: #ec1818;

    --activatedActionButtonColor: #000;
    --horizontalMarginContent: 30px;
    --videosHorizontalMarginContent: 6vw;
    --mainColWidth: calc(100vw - 240px);
    --dangerBackgroundColor: #d9534f;
    --inputColor: #272727;
    --inputPlaceholderColor: rgba(195,195,195,0.878431);
    --menuAndHeaderBackgroundColor: #272727;
    --menuForegroundColor: rgba(195,195,195,0.878431);
    --menuBackgroundColor: #272727;
    --whiteColor: #ffffff;
    --submenuColor: #272727;
    --embedForegroundColor: #fff;
    --embedBigPlayBackgroundColor: rgba(0, 0, 0, .8);

    font-family: Source Sans Pro,sans-serif;
    font-weight: 400;
    color: var(--mainForegroundColor);
    background-color: var(--mainBackgroundColor);
    font-size: 14px;
    overflow-y: scroll;
    text-align: start;
  }

  .block-title, .title-page {
    background: radial-gradient(ellipse at top, #db34d3, transparent), radial-gradient(ellipse at bottom, #232629, transparent);
    margin-inline-end: 0px;
    margin-inline-start: 0px;
    padding: 5px;
    border-radius: 4px;
    border: 2px solid #fd95ff;
    border-right-color: #fed9ff;
    border-bottom-color: #fed9ff;
    text-align: center;
  }


  my-video-comments {
    display: inline-block;
    width: 100%;
    margin-bottom: 20px;
  }
  .border-top {
    border-top: 1px solid #dee2e6!important;
  }
  #highlighted-comment {
    margin-bottom: 25px;
  }
  .anchor {
    position: relative;
    top: -70px;
  }
  .root-comment {
    font-size: 15px;
    display: flex;
  }
  .root-comment .left {
    margin-inline-end: 10px;
  }
  .root-comment .left {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  my-actor-avatar {
    display: inline-block;
    width: 36px;
    height: 36px;
    min-width: 36px;
    min-height: 36px;
  }
  .root-comment .left .vertical-border {
    width: 2px;
    height: 100%;
    background-color: #0000000d;
    margin: 10px calc(1rem + 1px);
  }
  .initial.blue {
    background-color: #009fd4;
  }
  .avatar.account {
    object-fit: cover;
    border-radius: 50%;
  }
  .initial {
    background-color: #3c2109;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--initialFontSize);
  }
  .avatar {
    --avatarSize: 100%;
    --initialFontSize: 22px;
    width: var(--avatarSize);
    height: var(--avatarSize);
    min-width: var(--avatarSize);
    min-height: var(--avatarSize);
  }
  .initial {
    background-color: #3c2109;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--initialFontSize);
  }
  .avatar {
    --avatarSize: 100%;
    --initialFontSize: 22px;
    width: var(--avatarSize);
    height: var(--avatarSize);
    min-width: var(--avatarSize);
    min-height: var(--avatarSize);
  }
  .root-comment .right {
    width: 100%;
  }
  .mb-3, .my-3 {
    margin-bottom: 1rem!important;
  }
  .mb-3 {
    margin-bottom: 1rem!important;
  }
  .comment {
    flex-grow: 1;
    min-width: 1px;
  }
  .highlighted-comment {
    display: inline-block;
    background-color: #f5f5f5;
    color: #3d3d3d;
    padding: 0 5px;
    font-size: 13px;
    margin-bottom: 5px;
    font-weight: 600;
    border-radius: 3px;
  }
  .comment-account-date {
    display: flex;
    margin-bottom: 4px;
  }
  .comment-account {
    word-break: break-all;
    font-weight: 600;
    font-size: 90%;
  }
  .comment-date {
    margin-inline-start: 5px;
  }
  .comment-date {
    font-size: 90%;
    color: var(--greyForegroundColor);
    text-decoration: none;
  }
  .comment-account a {
    color: var(--mainForegroundColor);
  }
  .comment-account .comment-account-fid {
    opacity: .6;
  }
  .ml-1 {
    margin-inline-start: .25rem;
  }
  .ml-1, .mx-1 {
    margin-left: .25rem!important;
  }
  .comment-html {
    word-break: break-word;
    word-wrap: break-word;
    overflow-wrap: break-word;
    -webkit-hyphens: auto;
    hyphens: auto;
  }
  .comment-html a:not(.linkified-url) {
    color: var(--mainForegroundColor);
    font-weight: 600;
  }
  .comment-html p {
    margin-bottom: .3rem;
  }
  p {
    margin-top: 0;
    margin-bottom: 1rem;
  }
  p {
    margin-top: 0;
    margin-bottom: 1rem;
  }
  .comment-actions {
    margin-bottom: 10px;
    display: flex;
  }
  .comment-actions .dropdown-toggle, .comment-actions .comment-action-reply {
    margin-inline-end: 10px;
  }
  .comment-actions .dropdown-toggle, .comment-actions .comment-action-reply {
    color: var(--greyForegroundColor);
    cursor: pointer;
  }
</style>